Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 580686 - dev-util/android-tools patch and ebuild update working with musl
Summary: dev-util/android-tools patch and ebuild update working with musl
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Hardened (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Zac Medico
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: musl-porting
  Show dependency tree
 
Reported: 2016-04-20 22:14 UTC by Petr Vaněk
Modified: 2016-05-16 00:08 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
files/android-tools-5.1.1_p13-cdefs.patch (android-tools-5.1.1_p13-cdefs.patch,1.09 KB, patch)
2016-04-20 22:17 UTC, Petr Vaněk
Details | Diff
android-tools-5.1.1_p13.ebuild (android-tools-5.1.1_p13.ebuild,1.86 KB, text/plain)
2016-04-20 22:18 UTC, Petr Vaněk
Details
android-tools-5.1.1_p13-cdefs.patch mingw update (android-tools-5.1.1_p13-cdefs.patch,1.18 KB, patch)
2016-04-21 06:14 UTC, Petr Vaněk
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Vaněk 2016-04-20 22:14:58 UTC
Musl library does not provide <sys/cdefs.h> (http://wiki.musl-libc.org/wiki/FAQ#Q:_I.27m_trying_to_compile_something_against_musl_and_I_get_error_messages_about_sys.2Fcdefs.h). I made a patch and update an ebuild to fix this.
Comment 1 Petr Vaněk 2016-04-20 22:17:11 UTC
Created attachment 431416 [details, diff]
files/android-tools-5.1.1_p13-cdefs.patch
Comment 2 Petr Vaněk 2016-04-20 22:18:04 UTC
Created attachment 431418 [details]
android-tools-5.1.1_p13.ebuild
Comment 3 Anthony Basile gentoo-dev 2016-04-20 22:23:24 UTC
(In reply to Petr Vaněk from comment #1)
> Created attachment 431416 [details, diff] [details, diff]
> files/android-tools-5.1.1_p13-cdefs.patch

there's more to <sys/cdefs.h> than just __{BEGIN,END}_DECLS.  Did you make sure this patch works on glibc too.  If so I don't see why upstream shouldn't accept this as is.
Comment 4 Petr Vaněk 2016-04-20 23:05:18 UTC
I know, I saw the <sys/cdefs.h> content. Anyway, I tried the ebuild in a machine with glibc and it works well.
Comment 5 Felix Janda 2016-04-21 05:53:40 UTC
Since all uses of _*_DECLS are removed, their definitions for MINGW can also
be removed.
Comment 6 Petr Vaněk 2016-04-21 06:14:13 UTC
Created attachment 431420 [details, diff]
android-tools-5.1.1_p13-cdefs.patch mingw update

Ok, you are right. Patch is updated.
Comment 7 Anthony Basile gentoo-dev 2016-05-10 15:26:22 UTC
(In reply to Petr Vaněk from comment #6)
> Created attachment 431420 [details, diff] [details, diff]
> android-tools-5.1.1_p13-cdefs.patch mingw update
> 
> Ok, you are right. Patch is updated.

okay i've been tracking this, but its in zac's court right now.  Petr, if want it sooner, i'll put it on the overlay. just send a patch to the gentoo-musl@lists.gentoo.org list.
Comment 8 Petr Vaněk 2016-05-15 16:59:59 UTC
Thank you, I have it in my personal overlay. But if you think that it is good idea to have it in a musl overlay for other people usage, I'll send the patch to the gentoo-musl list.
Comment 9 Zac Medico gentoo-dev 2016-05-16 00:08:55 UTC
Thanks, this is fixed in git:

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11389cfde3266d32dc425e66c46a934c24647c8c